## 企业资料

# 1. 基本信息录入更新

### 1.1 基本信息的接口
1. 获取数据的接口
        
            /he/company/edit/info    GET    不需要参数
            
            参数： 无
            
            响应：
            String full_name      // 企业命名
            String address        // 企业地址
            
2. 图片上传接口

        /he/company/upload/img_logo    上传logo图片
        
        /he/company/upload/img_business_license    上传营业执照图片

3. 图片加载接口

            /he/company/view/img
            
            参数：
                img_type    // 传值： BUSINESS（营业执照） 或 LOGO
                
            响应：
            图片的数据，请在<img>标签使用（<img src="/he/company/view/img?img_type=LOGO">）。

4. 更新接口
        
        /he/company/edit/info    POST

        提交参数：
        int company_id;
        String full_name;               // 公司名称
        String address;                 // 公司地址
        String logo_img;                // 公司LOGO
        String business_license_img;    // 工商营业执照

### 1.2 服务端处理响应
- 获取数据**(GET)**的响应

    与更新参数基本相同。

- 更新**(POST)**响应

    返回录入操作、更新操作处理结果，是否成功处理。

---

# 2. 联系人信息录入更新

### 2.1 请求接口
- URI
        
        获取数据：/he/company/edit/contacts    GET    不需要参数
        
        更新:  /he/company/edit/contacts    POST
    
- 更新的参数

        int id;                // 联系人标识
        String user_name;      // 联系人名称
        String link_phone;     // 联系人手机号码
        String link_mail;      // 联系人邮箱地址

### 2.2 服务端处理响应

- 获取数据**(GET)**的响应

    与更新参数基本相同。

- 更新**(POST)**响应

    返回录入操作、更新操作处理结果，是否成功处理。

---
# 3. 邮递信息录入更新

### 3.1 请求接口
- URI
    
        获取数据：/he/company/edit/mail    GET    不需要参数
        
        更新： /he/company/edit/mail    POST
    
- 更新的参数

        int id;
        String user_name;    // 收件人姓名
        String user_phone;   // 收件人手机号码
        String address;      // 收件地址
        String zip_code;     // 收件地址的邮政编码

### 3.2 服务端处理响应

- 获取数据**(GET)**的响应

    与更新参数基本相同。

- 更新**(POST)**响应

    返回录入操作、更新操作处理结果，是否成功处理。

---
<script src="md.js"></script>