
# 1 存档的在保增员数据列表
- 显示存档状态或代缴状态的数据
- 加载数据至少需要一个参数. `opt_month`. 如果不提供,服务器自动补上默认的.

### 1.1 请求数据
##### URI

    /he/shebao/list     POST
    
<div id="p1"></div>
##### 参数
Form表单方式提交.

| 字段                     |   类型    |    Length  |必须有值| 必传  | 描述 |
|:------------------------|:----------|:----------|:------|:------|:-----| 
|[curr](common.html#page)| int        | 值1 ~ 1000|       |       | 当前页码 
| opt_month              | int        | 6       |       |       | 核算月份 
| city_code              | int        | 4       |       |       | 城市代码 
| user_name              | string     | 16      |       |       | 员工姓名 
| inc_normal_dec         | int        | 1       |       |       | 增减员在保标识  

### 1.2 响应

<div id="data1"></div>
##### data字段

| 字段                       |    类型          |  字段名称        |
|:--------------------------|:-----------------|:---------------|  
| [datas](t/wxyj.html#WXYJManagerVO) | WXYJManagerVO     | 在保或增员数据  
| cityList                  | Object            | 含城市列表和省份列表数据
| [statusArray](common.html#wxyj_status)| Array | 状态对象枚举数组. 
| [page](common.html#page)  | Object            | 分页数据 
| querys                    | Object            | 请求参数对象. 见请求参数.


其它类似 [计算生成的在保增员数据-响应](calc_task.html#taskdatalistresp)

---

# 2 存档的减员数据列表
- 显示存档状态或代缴状态的数据
- 加载数据至少需要一个参数. `opt_month`. 如果不提供,服务器自动补上默认的.

### 2.1 请求数据
##### URI

    /he/shebao/list/dec     POST    
    
##### 参数

见上一接口的[参数](#p1)

### 2.2 响应

见上一接口的[响应-data](#data1)

##### data.datas 字段
见 `生成的减员数据` 接口[响应-datas](calc_task.html#datas3)

##### 响应数据示例

见 `生成的增员在保数据` 接口的[响应-data](calc_task.html#taskdatalistresp)

---
# 3 导出存档的数据
- 存档列表页面 [导出]调用的接口.

### 3.1 请求URI
    /he/shebao/export/in_file  POST
    
##### 请求参数

见列表接口的[参数](#p1)
    
### 3.2 响应

##### 有异常或无数据
返回JSON格式的异常信息数据.

##### 成功
响应文件内容给客户端.

---
<script src="md.js"></script>