
<h1 id="TBaseShebao">TBaseShebao</h1>

    private int param_id;
	/** 城市代码 */
	private int city_code;
	/** 父主ID(补缴方案对应的主ID) */
	private int p_id;
	/** 社保类型名 */
	private String shebao_name;
	/** 操作规则 */
	private int opt_rule;
	/** 服务费 */
	private double charge;
	/** 打包买服务费 */
	private double pkg_charge;
	/** 社保卡服务费 */
	private double card_charge;
	/** 预收费用 */
	private double pre_cost;
	/** 增员截止日期 */
	private int inc_day;
	/** 减员截止日期 */
	private int dec_day;
	/** 可补缴月数 */
	private int repay_num;
	/** 补缴服务费 */
	private double repay_charge;
	/** 补缴描述 */
	private String repay_desc;
	/** 社保参数描述 */
	private String shebao_desc;
	/** 更新时间 */
	private String update_time;
	
---

<h1 id="TBaseFund">TBaseFund</h1>
    private int param_id = 0;
	/** 城市代码 */
	private int city_code = 0;
	/** 操作规则代码 */
	private int opt_rule = 0;
	/** 公积金服务费 */
	private double charge = 69;
	/** 增员截止日期 */
	private int inc_day = 1;
	/** 减员日期 */
	private int dec_day = 1;
	/** 可否单独购买 */
	private int fund_only = 1;
	/** 最大基数金额 */
	private double max_amount = 0;
	/** 最小基数金额 */
	private double min_amount = 0;
	/** 企业比例 */
	private double eratio = 0;
	/** 个人比例 */
	private double pratio = 0;
	/** 描述 */
	private String fund_desc = "";
	/** 更新时间 */
	private String update_time = "";
	/** 公积金补缴服务费 */
	private double repay_charge;
	/** 可补缴月数 */
	private int	repay_num;
	/** 补缴说明 */
	private String repay_desc;

---
<h1 id="TCompanyUser"> TCompanyUser </h1>

    /**  */
	private int user_id;
	/** 公司标识 */
	private int company_id;
	/** 员工姓名 */
	private String user_name;
	/** 身份证号码 */
	private String id_card;
	/** 民族 */
	private String nation;
	/** 手机号 联系方式 */
	private String phone;
	/** 性别 */
	private int gender;
	
---

<h1 id="TWxyjPlan">TWxyjPlan</h1>

    private int id;
	/** 城市代码 */
	private int city_code;
	/** 企业标识 */
	private int ent_id;
	/** 操作人 */
	private int opt_userid;
	/** 工伤比例 */
	private double injury = 0;
	/** 失业比例 */
	private double lose_job = 0;
	/** 每月申报截止时间 */
	private int dec_day = 0;
	/** 生成日期 */
	private int gen_day = 0;
	/** 更新时间 */
	private Date update_time;

---
<h1 id="TWxyjEmployee"> TWxyjEmployee </h1>

    /**  */
	int id;
	/** 总表ID */
	int summary_id;
	/** 企业标识 */
	int ent_id;
	/** 员工标识 */
	int city_code;
	/** 操作月份 */
	int opt_month;
	/** 员工标识 */
	int com_userid;
	/** 参数名称 */
	String param_name;
	/** 总金额 */
	double total_fee;
	/** 企业总金额 */
	double ent_total;
	/** 个人总金额 */
	double p_total;
	/** 社保自然月份 */
	int shebao_month;
	/** 社保 1增员， 5在保 */
	int shebao_normal;
	/** 公积金自然月份 */
	int fund_month;
	/** 公积金 1增员， 5在保 */
	int fund_normal;
	/** 社保状态 */
	int shebao_status;
	/** 公积金状态 */
	int fund_status;
	/** 生成时间 */
	Date gen_time;
	/** 更新时间 */
	Date update_time;
	/** 状态变更说明 */
	String shebao_note;
	/** 状态变更说明 */
	String fund_note;
	
---

<h1 id="TWxyjEmployeeData"> TWxyjEmployeeData </h1>

    /** 主汇总ID */
	int summary_id;
	/** 五险一金数据ID */
	int eid;
	/** 1社保 2公积金 */
	int wxyj;
	/** 基数类型 */
	int radix_type;
	/** 基数 */
	double radix;
	/** 社保或公积金总额 */
	double total_fee;
	/** 企业金额 */
	double ent_amount;
	/** 个人金额 */
	double p_amount;
	/** 服务费 */
	double charge;
	/** 办卡服务费 */
	double card_charge;
	/** 企业的各项金额值(JSON格式) */
	String ent_data;
	/** 个人的各项金额值(JSON格式) */
	String p_data;
	/** 预收费用 */
	double pre_cost;
	/**  */
	Date gen_time;
	/** 生成依据描述 */
	String gen_note;

---
<h1 id="TWxyjEmployeeDec"> TWxyjEmployeeDec </h1>

    /**  */
	int id;
	/**  */
	int summary_id;
	/**  */
	int ent_id;
	/**  */
	int com_userid;
	/**  */
	int city_code;
	/** 减员操作月份 */
	int opt_month;
	/** 社保减员对应实际月份 */
	int shebao_month;
	/** 社保减员状态 */
	int shebao_status;
	/** 公积金减员月份 */
	int fund_month;
	/** 状态 */
	int fund_status;
	/** 生成时间 */
	Date gen_time;
	/** 更新时间 */
	Date updte_time;
	/** 生成说明 */
	String gen_note;
	/** 变更说明 */
	String shebao_status_note;
	/**  */
	String fund_status_note;
	

---

<h1 id="WXYJManagerVO"> WXYJManagerVO </h1>
计算完成后的列表的数据结构, 存档列表的数据的结构.

    Map<String, Object> headList;    // 社保明细表头
	List<?> dataList;                // 数据列表
	int inc_count;                   // 增员人数
	int normal_count;                // 在保人数
	int dec_count;                   // 减员人数
	MemberFeeChargeVO memberFeeCharge;    // 人数, 金额汇总数据. 存档的数据才有值.

---
<h1 id="MemberFeeChargeVO"> MemberFeeChargeVO </h1>

    int members;            // 员工数量
    double total_fees;      // 参缴金额数目
    double charges;         // 服务费数目

---


<script src="../md.js"></script>