<span style="font-size:36px">运营后台开发文档<span>

# 1 城市区域配置

### 1.1 数据设计

- **省份ID**划分采用数字段, 省份间间隔100个数字. 第一个省的id:1000;
- **城市ID**基于省份的ID进行自增, 步长为1. 第一个市的ID: 1001;
- **区域ID**基于城市的ID进行自增, 步长为1. 数字段为100. EX城市id为1001的第一个区的ID是:((1001 * 100) + 1)=100101;


---

# 2 五险一金配置




---

# 3 专员客户业务配置

1. 专员和客服不同列表链接, 开关是prof=1是专员Tab页面. prof=0是客服Tab页面.
* 专员链接只请求专员有关的数据.
* 客服链接只请求客服业务有关的数据.

---

#  五险一金增减员导入

### 上传文件
- 导入的Excel文件模板有两个sheet。 每个sheet都可以是空的。 都空的话不执行任务数据。
- 选择了文件，上传时有进度条， 进度条满格即表示上传文件完成。服务器会保存文件的路径并返回一个ID值。

### 1. 读取文件增、减员数据
前端用此ID值发送到接口，读取文件的增员、减员数据。

### 2. 读取并检验增员的数据是否合要求：

    姓名、身份证、户藉性质、城市、客户名称（企业）, 必须有值。
    检查专员与城市的对应关系。
    检查户藉性质
    检查客户名称(企业)是否存在，检查员工姓名和身份证号码是否属于此企业。
    检查社保方案是否适用， 并检验月份是否正确。
    公积金数据检验， 月份校验。
 
 *以上检查通过。表明此条数据可以保存。*
### 3. 读取并检验减员的数据是否合要求

    姓名、身份证、户藉性质、城市、客户名称（企业）, 必须有值。
    检查客户名称(企业)是否存在，检查员工姓名和身份证号码是否属于此企业。
    检查专员与城市的对应关系。
    检查社保方案是否适用， 并检验月份是否正确。
    公积金数据检验， 月份校验。
 
### 4. 检查增员数据是否有冲突，并保存。（需要提交计算才生效）
    检查姓名与身份证是否有冲突， 有则记录此冲突数据。
    保存此条数据到临时表。

### 5. 检查减员数据是否有冲突，并保存。（需要提交计算才生效）

    检查姓名与身份证的员工是否存在同月的减员、增员，有则记录冲突数据。
    保存此条数据到减员临时表。

### 6. 跳转到增减员的临时数据展示页面

    有冲突就解决冲突。
    提交计算数据，生成真正的增减员数据。

---

# 五险一金数据明细列表

### 前端
- 三个Tab页面， 正常参缴Tab包含显示了增员的数据。增员Tab只显示增员的数据;减员Tab只显示了减员的数据。
- 三个Tab切换时， 都会请求服务器端重新加载对应的数据。同时分页（curr）重置为第一页。

### 后端
1. 初次进入页面时， 自动加上【核算月份】、【[正常参缴类型](common.html#wxyj_inc_normal_dec)】、【客服或专员】三个过滤参数。
- 专员的数据过滤处理是对t_wxyj_employee_summary表进行数据查询。
- 客服的数据过滤处理是对t_wxyj_employee表进行数据查询。（初定，未开发）
- 查询数据列表是对t_wxyj_employee表进行查询。 每位员工一条数据。
- 循环数据列表，查询员工在表t_wxyj_employee_data里的五险一金明细数据。
- 查询到数据列表完成后，仍需要查询其它【参缴类型】的员工数量。


---
<script src="md.js"></script>